# Uses of Class
org.apache.sysds.runtime.controlprogram.IfProgramBlock

Packages that use IfProgramBlock
Package
Description
org.apache.sysds.runtime.lineage
org.apache.sysds.runtime.util

## Uses of IfProgramBlock in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage with parameters of type IfProgramBlock
Modifier and Type
Method
Description
`void`
LineageDedupBlock.`traceIfProgramBlock(IfProgramBlock ipb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`

## Uses of IfProgramBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return IfProgramBlock
Modifier and Type
Method
Description
`static IfProgramBlock`
ProgramConverter.`createDeepCopyIfProgramBlock(IfProgramBlock ipb, long pid, int IDPrefix, Program prog, Set<String> fnStack, Set<String> fnCreated, boolean plain, boolean forceDeepCopy)`
Methods in org.apache.sysds.runtime.util with parameters of type IfProgramBlock
Modifier and Type
Method
Description
`static IfProgramBlock`
ProgramConverter.`createDeepCopyIfProgramBlock(IfProgramBlock ipb, long pid, int IDPrefix, Program prog, Set<String> fnStack, Set<String> fnCreated, boolean plain, boolean forceDeepCopy)`